int infoCursor=0;
string infoExtra;


void set_info(void)
{
	set_edit_mode(MODE_INFO);

	//compile song to get extra info if available

	music_stop();

	if(compile_song(0,0,false,true))
	{
		free(scriptGeneratedData);
		scriptGeneratedData=NULL;
	}
}



void draw_info(void)
{
	int i;

	for(i=0;i<textScreenWidth;++i)
	{
		PUT_ATTR(i,0,COL_HEADER);
		PUT_ATTR(i,textScreenHeight-1,COL_HEADER);
	}

	put_str(1,0,"Song information",COL_HEADER);

	put_str(PATTERN_XPOS + 1, PATTERN_YPOS + 1, "Title:", (infoCursor == 0) ? COL_CURSOR_ROW : COL_PROGRAM_BACKGROUND);
	put_str(PATTERN_XPOS + 9, PATTERN_YPOS + 1, module.title, COL_PROGRAM_BACKGROUND);

	put_str(PATTERN_XPOS + 1, PATTERN_YPOS + 3, "Author:", (infoCursor == 1) ? COL_CURSOR_ROW : COL_PROGRAM_BACKGROUND);
	put_str(PATTERN_XPOS + 9, PATTERN_YPOS + 3, module.author, COL_PROGRAM_BACKGROUND);

	put_str_wrap(infoExtra.c_str(),PATTERN_XPOS+1,PATTERN_YPOS+6,textScreenWidth-2,PATTERN_HEIGHT/2-1);
}



void info_events(SDL_Event event)
{
	switch(event.type)
	{
	case SDL_KEYDOWN:
		{
			switch(event.key.keysym.sym)
			{
			case SDLK_ESCAPE:
				{
					set_edit_mode(MODE_EDIT_SONG);
				}
				break;

			case SDLK_UP:
			case SDLK_DOWN:
				{
					infoCursor^=1;
				}
				break;

			case SDLK_RETURN:
				{
					switch(infoCursor)
					{
					case 0: set_input_string(PATTERN_XPOS+9,PATTERN_YPOS+1,64,MODE_INFO,true,module.title); break;
					case 1: set_input_string(PATTERN_XPOS+9,PATTERN_YPOS+3,64,MODE_INFO,true,module.author); break;
					}
				}
				break;
			}
		}
		break;
	}
}